=for
Copyright 2008 Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Licensed under the same terms as the hugin package itself.
=end


=head1 NAME

autooptimiser - Optimize image positions

=head1 SYNOPSIS

B<autooptimiser> [options] I<project.pto>

(B<-> can be specified to read the project from stdio.)

=head1 DESCRIPTION

autooptimiser works similarly to PToptimizer but with extra command-line
options.

It is also different in that PToptimizer appends its output onto the input file
in the form of 'o' lines which need further processing.  autooptimiser simply
updates the project and writes it to a new file.

=head1 OPTIONS

=over

=item B<-o> I<file.pto>

Output file. If omitted, stdout is used.

=back


Optimisation options (if not specified, no optimisation takes place):

=over

=item B<-a>

Auto align mode, includes various optimisation stages, depending on
the amount and distribution of the control points

=item B<-p>

Pairwise optimisation of yaw, pitch and roll, starting from first
image

=item B<-n>

Optimize parameters specified in script file (like PToptimizer).

=back


Post-processing options:

=over

=item B<-l>

Level horizon (works best for horizontal panoramas)

=item B<-s>

Automatically select a suitable output projection and size

=back


Other options:

=over

=item B<-q>

Quiet operation (no progress is reported)

=item B<-v> I<HFOV>

Specify horizontal field of view of input images. Used if the .pto
file contains invalid HFOV values (autopano-SIFT writes .pto files
with invalid HFOV)

=back



When B<-a>, B<-l>, and B<-s> options are used together, an operation similar
to the one of the "Align" button in hugin is performed.


=head1 AUTHORS

Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson and Brent Townshend.


This man page was written by Cyril Brulebois
<cyril.brulebois@enst-bretagne.fr> and is licensed under the same
terms as the hugin package itself.
